%define nautilus_python_dir %(pkg-config --variable=pythondir nautilus-python)
%global commit c1ed43e6c9ef83d90c21027175dec348a14ec65e

Name:           sparkleshare
Version:        1.2.0
Release:        %mkrel 2
Summary:        Easy file sharing based on git repositories
Group:          Networking/File transfer
License:        GPLv3
URL:            http://www.sparkleshare.org/
Source0:        https://github.com/hbons/%{name}/archive/%{commit}/%{name}-%{commit}.tar.gz
BuildRequires:  mono-devel
BuildRequires:  ndesk-dbus-devel
BuildRequires:  ndesk-dbus-glib-devel
BuildRequires:  notify-sharp-devel
BuildRequires:  desktop-file-utils
BuildRequires:  intltool
BuildRequires:  libtool
BuildRequires:  nant
BuildRequires:  webkit-sharp-devel
BuildRequires:  webkitgtk-devel
BuildRequires:  gnome-sharp2-devel
BuildRequires:  gettext
BuildRequires:  gvfs-devel
Requires:       git >= 1.7.12
Requires:       desktop-file-utils
Requires:       yelp

%global debug_package %{nil}


%description
Easy file sharing based on git repositories. A special folder is setup and
directories/files placed within are placed in a git-based version control
system and synchronized elsewhere.


%prep
%setup -qn SparkleShare-%{commit}

# fix build with mono4
sed -i "s#dmcs#mcs#g" build/m4/shamrock/mono.m4
sed -i "s#4\.0#4.5#g" build/m4/shamrock/mono.m4

%build
NOCONFIGURE=1 ./autogen.sh
%configure2_5x --prefix=%{_prefix}
# no parallel make on SMP because it's racy for this build :(
GMCS_FLAGS=-codepage:utf8 make


%install
%{__mkdir_p} %{buildroot}%{_libdir}/mono/gac/
%make_install
desktop-file-validate %{buildroot}/%{_datadir}/applications/sparkleshare.desktop

# Put the icons in the right directory.
mv %{buildroot}/%{_iconsdir}/gnome %{buildroot}/%{_iconsdir}/Adwaita

%files
%{_bindir}/%{name}
%{_libdir}/%{name}/
%{_datadir}/%{name}/
%{_datadir}/applications/*.desktop
%{_datadir}/icons/Adwaita/scalable/apps/%{name}-symbolic.svg
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/icons/hicolor/*/status/*
%{_datadir}/icons/ubuntu-mono-*/status/24/process-syncing*.png

#%%files nautilus
#%%nautilus_python_dir/sparkleshare-nautilus3-extension.py


%changelog
* Mon Apr 11 2016 daviddavid <daviddavid> 1.2.0-2.mga6
+ Revision: 1000468
- fix build with mono4 >= 4.2.3
- pass NOCONFIGURE=1 to autogen

  + tv <tv>
    - sync BRs with FC

* Sun Apr 03 2016 tv <tv> 1.2.0-1.mga6
+ Revision: 997749
- new version (from FC)
- fix building with mono4

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Mon Oct 26 2015 daviddavid <daviddavid> 1.1.0-6.mga6
+ Revision: 895497
- remove empty lang files to fix build with latest rpm
- disable debug package

* Mon Feb 09 2015 shlomif <shlomif> 1.1.0-5.mga5
+ Revision: 814252
- Move the icons from /gnome to /Adwaita.

* Wed Oct 15 2014 umeabot <umeabot> 1.1.0-4.mga5
+ Revision: 748099
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.0-3.mga5
+ Revision: 689266
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.1.0-2.mga4
+ Revision: 526615
- Mageia 4 Mass Rebuild

* Thu Jun 06 2013 dams <dams> 1.1.0-1.mga4
+ Revision: 438355
- fix %%files
- new version 1.1.0
- remove all about 'doc' as it's no longuer included in tarball
- clean specfile

* Mon Jan 14 2013 umeabot <umeabot> 1.0.0-2.mga3
+ Revision: 382435
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 stormi <stormi> 1.0.0-1.mga3
+ Revision: 344386
- fix file list again
- disable nautilus plugin temporarily
- fix file list
- new version 1.0.0

  + agallou <agallou>
    - change configure because of a user help bug
    - updated spakleshare to 0.8.O

* Thu Jan 12 2012 agallou <agallou> 0.6.0-1.mga2
+ Revision: 195436
- updated spakleshare to 0.6.O

  + boklm <boklm>
    - fix path of nautilus python dir (to allow backport on Mageia 1)

* Fri Sep 09 2011 colin <colin> 0.2.5-1.mga2
+ Revision: 141855
- Update to 0.2.5
- Tidy up spec

  + agallou <agallou>
    - replace paths by macros
    - remove %%clean
    - remove %%post
    - remove %%postun
    - remove %%posttrans
    - remove Buildroot definition
    - remove changelog
    - import sparkleshare
    - Created package structure for sparkleshare.

